Subject: Re: [PATCH] wrapper: Fix a errno discrepancy on NetBSD.

From: Collin Funk <[email-masked]>
Date: Fri, 02 May 2025 21:21:15 -0700

Junio C Hamano <[email-masked]> writes:

> Thanks, both.  Will queue after fixing the proposed log message a
> bit (the sample must be indented, especially when it contains lines
> that look like a patch).

Yes, that looks better. Thanks!

>> I suspect we'll also hit this on FreeBSD, which has a similar issue in
>> that it returns `EMLINK` instead of `ELOOP`.
>
> I won't expect Collin or you to redo this patch to cover FreeBSD;
> anybody with FreeBSD box/vm can do a separate patch on a different
> day.

It is no problem. I have access to a FreeBSD 14.2 machine. I can confirm
that it fails with EMLINK.

My V2 patch fixes the issue on both platforms. From the documentation
OpenBSD shouldn't be an issue. But if so it should be trivial to fix.

Collin